Bug 509557 - FEATURE_ZLIB missing
Summary: FEATURE_ZLIB missing
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: privoxy   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
: 628282 641766 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-03 13:43 UTC by Andreas Schwab
Modified: 2011-06-03 07:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-03 07:52:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix breaks done while dist-git conversion (901 bytes, patch)
2010-11-02 08:49 UTC, Petr Pisar
no flags Details | Diff

Description Andreas Schwab 2009-07-03 13:43:41 UTC
privoxy is not being built with zlib support, which means it cannot filter compressed contents.

Comment 1 Carl G. 2010-04-24 02:09:52 UTC
I would also like to see this feature implanted in the RPM build (for the same reason).

Thank you.

Comment 2 Bug Zapper 2010-04-27 15:27:28 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Karsten Hopp 2010-04-29 12:23:28 UTC
Please test the latest privoxy in rawhide: privoxy-3.0.16-3.fc14
If this fixes your problem, add a comment to this bugzilla and I'll prepare
packages for the other Fedora releases.

Comment 4 Carl G. 2010-05-21 14:29:49 UTC
Works for me.

Comment 5 Bug Zapper 2010-06-28 13:27:44 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Petr Pisar 2010-11-02 08:24:00 UTC
Could you enable zlib support in Fedora 13?

Comment 7 Petr Pisar 2010-11-02 08:30:34 UTC
*** Bug 628282 has been marked as a duplicate of this bug. ***

Comment 8 Petr Pisar 2010-11-02 08:30:47 UTC
*** Bug 641766 has been marked as a duplicate of this bug. ***

Comment 9 Petr Pisar 2010-11-02 08:49:35 UTC
Created attachment 457109 [details]
Fix breaks done while dist-git conversion

BTW, all privoxy branches are not buildable because jkeating have broken them the chkconfig patch while converting repository to GIT.

This patch fixes it.

Comment 10 Bug Zapper 2011-06-02 17:58:17 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Petr Pisar 2011-06-03 07:52:37 UTC
Fixed since F14 according changelog, verified on F15.


Note You need to log in before you can comment on or make changes to this bug.